class UsersController < ApplicationController

  def allows_to?(action)
    return(current_user.has_role?("admin"))
  end

  def index
    @users = User.all
  end

  def new
    @user = User.new
    @user.role = "logged"
  end

  def create
    @user = User.new(params[:user])
    if @user.save
      redirect_to(users_url, :notice => t(:notice_user_created))
    else
      render(:action => :new)
    end
  end
  
  def show
    @user = User.find(params[:id])
  end
  
  def edit
    @user = User.find(params[:id])
  end

  def update
    @user = User.find(params[:id])
    if @user.update_attributes(params[:user])
      redirect_to(@user, :notice => t(:notice_user_updated))
    else
      render(:action => :edit)
    end
  end

  def destroy
    @user = User.find(params[:id])
    @user.destroy
    redirect_to(users_url)
  end
  
end
