class User < ActiveRecord::Base
  acts_as_authentic
  has_many :questions, :foreign_key => :author_id
  validates_presence_of :first_name, :last_name, :locale, :login, :email
  ROLES = %w[admin editor examiner candidate logged anonymous]

  def name
    return(self.first_name + " " + self.last_name)
  end
  
  def has_role?(role_to_check)
    level_to_check = ROLES.index(role_to_check.to_s.downcase)
    level = ROLES.index(role)
    has_role = ((!(level.nil?)) and
                (!(level_to_check.nil?)) and 
                (level <= level_to_check))
    return(has_role)
  end

end
